Name:           gupnp-ui
Version:        0.1.1
Release:        2%{?dist}
Summary:        GUPnP-UI is a collection of helpers for adding ui to upnp apps

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.gupnp.org/
Source0:        http://www.gupnp.org/sources/%{name}/%{name}-%{version}.tar.gz
Patch0:         gupnp-ui-testapp.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: gssdp-devel
BuildRequires: gupnp-devel
BuildRequires: gtk2-devel
BuildRequires: libsoup-devel
BuildRequires: pkgconfig

Requires: dbus

%description
GUPnP is an object-oriented open source framework for creating UPnP 
devices and control points, written in C using GObject and libsoup. 
The GUPnP API is intended to be easy to use, efficient and flexible. 

GUPnP-UI is a collection of helpers for building user interface
application components for gupnp applications.

%package devel
Summary: Development package for gupnp-ui
Group: Development/Libraries
Requires: gupnp-ui = %{version}-%{release}
Requires: pkgconfig
Requires: gtk-doc

%description devel
Files for development with gupnp-ui.

%prep
%setup -q
%patch0 -p0 -b .testapp

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/libgupnp-ui-1.0.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/libgupnp-ui-1.0.so.0
%{_libdir}/libgupnp-ui-1.0.so.0.0.0

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/gupnp-ui-1.0
%doc %{_datadir}/gtk-doc/html/gupnp-ui
%{_includedir}/gupnp-ui-1.0/libgupnp-ui
%{_libdir}/pkgconfig/gupnp-ui-1.0.pc
%{_libdir}/libgupnp-ui-1.0.so

%changelog
* Tue Dec 16 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.1-2
- Review fixes

* Wed Jul 9 2008 Peter Robinson <pbrobinson@gmail.com> 0.1.1-1
- Update to new version

* Wed Jul 9 2008 Peter Robinson <pbrobinson@gmail.com> 0.1-1
- Initial release
